# SIPHandlersList Class Reference

`#include <handlers.h>`

List of all members.

## Public Member Functions

unsigned | GetCount (SIP_PDU::Methods meth, const PString &eventPackage=PString::Empty()) const
PSafePtr< SIPHandler > | FindSIPHandlerByCallID (const PString &callID, PSafetyMode m)
PSafePtr< SIPHandler > | FindSIPHandlerByAuthRealm (const PString &authRealm, const PString &userName, PSafetyMode m)
PSafePtr< SIPHandler > | FindSIPHandlerByUrl (const PString &url, SIP_PDU::Methods meth, PSafetyMode m)
PSafePtr< SIPHandler > | FindSIPHandlerByUrl (const PString &url, SIP_PDU::Methods meth, const PString &eventPackage, PSafetyMode m)
PSafePtr< SIPHandler > | FindSIPHandlerByDomain (const PString &name, SIP_PDU::Methods meth, PSafetyMode m)

## Detailed Description

This dictionary is used both to contain the active and successful registrations, and subscriptions. Currently, only MWI subscriptions are supported.

## Member Function Documentation

unsigned SIPHandlersList::GetCount | ( | SIP_PDU::Methods | meth,
|  | const PString & | eventPackage = `PString::Empty()` |
| ) |  |  | const

Return the number of registered accounts

PSafePtr<SIPHandler> SIPHandlersList::FindSIPHandlerByCallID | ( | const PString & | callID,
|  | PSafetyMode | m |
| ) |  |  |

Find the SIPHandler object with the specified callID

PSafePtr<SIPHandler> SIPHandlersList::FindSIPHandlerByAuthRealm | ( | const PString & | authRealm,
|  | const PString & | userName,
|  | PSafetyMode | m |
| ) |  |  |

Find the SIPHandler object with the specified authRealm

PSafePtr<SIPHandler> SIPHandlersList::FindSIPHandlerByUrl | ( | const PString & | url,
|  | SIP_PDU::Methods | meth,
|  | PSafetyMode | m |
| ) |  |  |

Find the SIPHandler object with the specified URL. The url is the registration address, for example, 6001@sip.seconix.com when registering 6001 to sip.seconix.com with realm seconix.com or 6001@seconix.com when registering 6001@seconix.com to sip.seconix.com

PSafePtr<SIPHandler> SIPHandlersList::FindSIPHandlerByUrl | ( | const PString & | url,
|  | SIP_PDU::Methods | meth,
|  | const PString & | eventPackage,
|  | PSafetyMode | m |
| ) |  |  |

PSafePtr<SIPHandler> SIPHandlersList::FindSIPHandlerByDomain | ( | const PString & | name,
|  | SIP_PDU::Methods | meth,
|  | PSafetyMode | m |
| ) |  |  |

Find the SIPHandler object with the specified registration host. For example, in the above case, the name parameter could be "sip.seconix.com" or "seconix.com".

The documentation for this class was generated from the following file:

- handlers.h